<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include
        layout="@layout/layout_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding_large"
        android:background="@color/white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_large"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_large"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/exchange_input"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/exchange_input"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_input"
                android:singleLine="true"
                android:textColor="@color/title_background_color"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="@dimen/common_padding_large"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_large"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_marginStart="@dimen/common_padding_large"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_large"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/currency_pre"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:text="@string/rmb_cny"
                android:textSize="@dimen/text_size_medium" />

            <ImageView
                android:id="@+id/reverse"
                android:layout_width="@dimen/common_padding_large"
                android:layout_height="@dimen/common_padding_large"
                android:layout_gravity="center"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:src="@mipmap/icon_exchange_transfer"
                tools:ignore="contentDescription" />

            <TextView
                android:id="@+id/currency_suf"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:gravity="end"
                android:text="@string/usd"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="@dimen/common_padding_large"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_large"
            android:background="@color/line_color" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginStart="@dimen/common_padding_large"
            android:layout_marginTop="@dimen/common_padding"
            android:text="@string/exchange_output"
            android:textSize="@dimen/text_size_medium"
            android:textStyle="bold" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="@dimen/common_padding_large"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_large" />

        <TextView
            android:id="@+id/exchange_output"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginEnd="@dimen/common_padding_large"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:text="@string/no_exchange_output"
            android:textSize="@dimen/text_size_huge"
            android:textStyle="bold" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="@dimen/common_padding_large"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding_large"
            android:layout_marginBottom="5dp"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="@dimen/common_padding_large"
            android:layout_marginEnd="@dimen/common_padding_large"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/refresh_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="start"
                android:textColor="@color/hint_text_color"
                android:textSize="@dimen/text_size_tiny" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="end"
                android:text="@string/exchange_tool_hint"
                android:textColor="@color/color_caution"
                android:textSize="@dimen/text_size_tiny" />

        </LinearLayout>

    </LinearLayout>

    <include
        layout="@layout/layout_numerical_input"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_weight="1" />

</LinearLayout>